Subject: Re: bug#23910: [Guix Info][7.1.5] Should warn user about losing Internet or DNS connection

From: Eus <[email-masked]>
Date: Sat, 16 Jul 2016 10:21:38 +0700

On Fri, Jul 15, 2016 at 11:10 PM, Ludovic Courtès <[email-masked]> wrote:

> Hi!
>
> Eus <[email-masked]> skribis:
>
> > When downloading substitutes via wireless connection, several times I
> > encountered a case where the host name of hydra cannot be
> > resolved. So, the "guix system init" fails and suggests the use of
> > "--fallback" option. However, rather than continuing with "guix system
> > --fallback init", one should actually try "dhclient -v
> > WIRELESS_INTERFACE_NAME" first and then do "guix system init" again
> > instead of "guix system --fallback init". My installation process is
> > now going well with this strategy. Previously, I kept using
> > "--fallback" that didn't solve the problem due to network connectivity
> > error because using "--fallback" brought up built errors.
>
> Are you installing GuixSD 0.10.0?
>

Yes.

I would personally find it weird to warn about the possibility of losing
> Internet connection.  This is outside the scope of GuixSD, in a way.
>
> WDYT?
>

I suggest that to balance the suggestion of using "--fallback" option when
guix fails to download some substitutes.
So, what about if instead of warning in the installation doc, the guix
suggestion on using "--fallback" option also carries information on the
possibility of lost network connection?

However, in the past people reported that nscd, the name service cache
> daemon, would sometimes fail without any good reason.  If you think that
> is the case, then this is definitely a bug that we should be
> addressing.
>

That is likely. How to debug nscd? Any option perhaps to make it more
verbose?

Thanks,
> Ludo’.

--
Best regards,
Eus